import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Label;
import java.awt.Panel;

import quadbase.reportdesigner.designer.QbReportDesigner;

public class RDWithClassData extends Applet {
	static final long serialVersionUID = 1; 
	public QbReportDesigner designer;

	public static void main(java.lang.String[] args) {

		try {

			RDWithClassData doReport = new RDWithClassData();
			doReport.doReportDesignerWithQueryApplet(null);

		} catch (Exception ex) { ex.printStackTrace(); }

	}

	public void init() {

		try {

			doReportDesignerWithQueryApplet(this);
			setLayout(new BorderLayout());
			Panel panel = new Panel();
			panel.setLayout(new BorderLayout());
			panel.add("Center", new Label("LOADING"));
			add("Center", panel);

		} catch (Exception ex) { ex.printStackTrace(); }

	}

	public void doReportDesignerWithQueryApplet(Applet applet) throws Exception {
		QbReportDesigner.setServerAddress("127.0.0.1");
		QbReportDesigner.setServerPortNumber(22071);

		QbReportDesigner.setUseSysResourceImages(true);
		
		// QbReportDesigner (component, class file location, parameter information, true = start from Data Source Manager false = start from Create a new report or open existing report choice before going to Data Source Manager, number of rows to display (-1 means show all rows), path to Report Designer images
		designer = new QbReportDesigner(applet, "ParamClassFile", null, true, -1, null); // Parameterized class file

		designer.setVisible(true);
	}

}